Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class ShowInNavigatorViewAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.jdt.ui.actions.SelectionDispatchAction
              org.eclipse.jdt.ui.actions.ShowInNavigatorViewAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class ShowInNavigatorViewAction
extends SelectionDispatchAction

Reveals the selected element in the resource navigator view.

Action is applicable to structured selections containing Java element or resources.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ShowInNavigatorViewAction(IWorkbenchSite site)` Creates a new `ShowInNavigatorViewAction`.
`ShowInNavigatorViewAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)` Note: This constructor is for internal use only.

Method Summary
`void` | `run(IResource resource)`
`void` | `run(IStructuredSelection selection)` Executes this actions with the given structured selection.
`void` | `run(ITextSelection selection)` Executes this actions with the given text selection.
`void` | `selectionChanged(IStructuredSelection selection)` Notifies this action that the given structured selection has changed.
`void` | `selectionChanged(ITextSelection selection)` Notifies this action that the given text selection has changed.

Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction
`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, update`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowInNavigatorViewAction

    public ShowInNavigatorViewAction(IWorkbenchSite site)

  Creates a new `ShowInNavigatorViewAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

### ShowInNavigatorViewAction

    public ShowInNavigatorViewAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)

  Note: This constructor is for internal use only. Clients should not call this constructor.

Method Detail

### selectionChanged

    public void selectionChanged(ITextSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Notifies this action that the given text selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Overrides:
    `selectionChanged` in class `SelectionDispatchAction`
  Parameters:
    `selection` - the new selection

### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Overrides:
    `selectionChanged` in class `SelectionDispatchAction`
  Parameters:
    `selection` - the new selection

### run

    public void run(ITextSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Executes this actions with the given text selection. This default implementation calls `run(ISelection selection)`.

  Overrides:
    `run` in class `SelectionDispatchAction`

### run

    public void run(IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

  Overrides:
    `run` in class `SelectionDispatchAction`

### run

    public void run(IResource resource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.